.TH ANSIBLE.APT 5 "2012-10-02" "0.8" "ANSIBLE MODULES"
." generated from library/apt
.SH NAME
apt \- Manages apt-packages
." ------ DESCRIPTION
.SH DESCRIPTION
.PP
Manages apt-packages (such as for Debian/Ubuntu). 
." ------ OPTIONS
."
."
.SH OPTIONS

.IP purge
Will force purging of configuration files if the module state is set to \fCabsent\fR.
.IR Choices :
yes,no. (default: no)
.IP state
Indicates the desired package state
.IR Choices :
installed,latest,remove,absent,present. (default: present)
.IP force
If \fCyes\fR, force installs/removes.
.IR Choices :
yes,no. (default: no)
.IP pkg
A package name or package specifier with version, like \fCfoo\fR or \fCfoo=1.0\fR(required)
.IP update_cache
Run the equivalent of \fCapt-get update\fR before the operation. Can be run as part of the package installation or as a seperate step
.IR Choices :
yes,no. (default: no)
.IP default_release
Corresponds to the \fC-t\fR option for \fIapt\fR and sets pin priorities
.IP install_recommends
Corresponds to the \fC--no-install-recommends\fR option for \fIapt\fR, default behavior works as apt's default behavior, \fCno\fR does not install recommended packages. Suggested packages are never installed.
.IR Choices :
yes,no. (default: no)."
."
." ------ NOTES
."
."
." ------ EXAMPLES
.SH EXAMPLES
.PP
.nf
apt pkg=foo update-cache=yes
.fi
.PP
.nf
apt pkg=foo state=removed
.fi
.PP
.nf
apt pkg=foo state=installed
.fi
.PP
.nf
apt pkg=foo=1.00 state=installed
.fi
.PP
.nf
apt pkg=nginx state=latest default-release=squeeze-backports update-cache=yes
.fi
.PP
.nf
apt pkg=openjdk-6-jdk state=latest install-recommends=no
.fi
." ------- AUTHOR
.SH AUTHOR
Matthew Williams
.SH SEE ALSO
.IR ansible (1),
.I http://ansible.github.com/modules.html#apt