.TH ANSIBLE.COMMAND 5 "2012-10-02" "0.8" "ANSIBLE MODULES"
." generated from library/command
.SH NAME
command \- Executes a command on a remote node
." ------ DESCRIPTION
.SH DESCRIPTION
.PP
The command module takes the command name followed by a list of space-delimited arguments. 
.PP
The given command will be executed on all selected nodes. It will not be processed through the shell, so variables like \fC$HOME\fR and operations like \fC"<"\fR, \fC">"\fR, \fC"|"\fR, and \fC"&"\fR will not work. As such, all paths to commands must be fully qualified 
." ------ OPTIONS
."
."
.SH OPTIONS

.IP creates
a filename, when it already exists, this step will \fBnot\fR be run.
.IP free_form
the command module takes a free form command to run(required)
.IP chdir
cd into this directory before running the command(Added in Ansible version 0.6.)

.IP removes
a filename, when it does not exist, this step will \fBnot\fR be run.(Added in Ansible version 0.8.)
."
."
." ------ NOTES
.SH NOTES
.PP
If you want to run a command through the shell (say you are using \fC<\fR, \fC>\fR, \fC|\fR, etc), you actually want the \fIshell\fR module instead. The \fIcommand\fR module is much more secure as it's not affected by the user's environment. 
."
."
." ------ EXAMPLES
.SH EXAMPLES
.PP
.nf
command /sbin/shutdown -t now
.fi
.PP
.nf
command /usr/bin/make_database.sh arg1 arg2 creates=/path/to/database
.fi
." ------- AUTHOR
.SH AUTHOR
Michael DeHaan
.SH SEE ALSO
.IR ansible (1),
.I http://ansible.github.com/modules.html#command