.TH ANSIBLE.FIREBALL 5 "2012-10-02" "0.8" "ANSIBLE MODULES"
." generated from library/fireball
.SH NAME
fireball \- Enable fireball mode on remote node
." ------ DESCRIPTION
.SH DESCRIPTION
.PP
This modules launches an ephemeral \fIfireball\fR ZeroMQ message bus daemon on the remote node which Ansible can to communicate with nodes at high speed. 
.PP
The daemon listens on a configurable port for a configurable amount of time. 
.PP
Starting a new fireball as a given user terminates any existing user fireballs. 
.PP
Fireball mode is AES encrypted 
." ------ OPTIONS
."
."
.SH OPTIONS

.IP minutes
The \fIfireball\fR listener daemon is started on nodes and will stay around for this number of minutes before turning itself off. (default: 30)
.IP port
TCP port for ZeroMQ (default: 5099)."
."
." ------ NOTES
.SH NOTES
.PP
See the advanced playbooks chapter for more about using fireball mode. 
."
."
." ------ EXAMPLES
.SH EXAMPLES
.PP
.nf
- hosts: devservers
      gather_facts: false
      connection: ssh
      sudo: yes
      tasks:
          - action: fireball 

    - hosts: devservers
      connection: fireball
      tasks:
          - action: command /usr/bin/anything

.fi
." ------- AUTHOR
.SH AUTHOR
Michael DeHaan
.SH SEE ALSO
.IR ansible (1),
.I http://ansible.github.com/modules.html#fireball