.TH ANSIBLE.INI_FILE 5 "2012-10-02" "0.8" "ANSIBLE MODULES"
." generated from library/ini_file
.SH NAME
ini_file \- Tweak settings in INI files
." ------ DESCRIPTION
.SH DESCRIPTION
.PP
Manage (add, remove, change) individual settings in an INI-style file without having to manage the file as a whole with, say, \fItemplate\fR or \fIassemble\fR. Adds missing sections if they don't exist. 
." ------ OPTIONS
."
."
.SH OPTIONS

.IP option
if set (required for changing a \fIvalue\fR), this is the name of the option.May be omitted if adding/removing a whole \fIsection\fR.
.IP others
all arguments accepted by the \fIfile\fR module also work here
.IP dest
Path to the INI-style file; this file is created if required(required)
.IP section
Section name in INI file. This is added if \fCstate=present\fR automatically when a single value is being set.(required)
.IP backup
Create a backup file including the timestamp information so you can get the original file back if you somehow clobbered it incorrectly.
.IR Choices :
yes,no.
.IP value
the string value to be associated with an \fIoption\fR. May be omitted when removing an \fIoption\fR.."
."
." ------ NOTES
.SH NOTES
.PP
While it is possible to add an \fIoption\fR without specifying a \fIvalue\fR, this makes no sense. 
."
."
." ------ EXAMPLES
.SH EXAMPLES
.PP
.nf
ini_file dest=/etc/conf section=drinks option=fav value=lemonade mode=0600 backup=true
.fi
.PP
.nf
ini_file dest=/etc/anotherconf
         section=drinks
         option=temperature
         value=cold
         backup=true

.fi
." ------- AUTHOR
.SH AUTHOR
Jan-Piet Mens
.SH SEE ALSO
.IR ansible (1),
.I http://ansible.github.com/modules.html#ini-file