.TH ANSIBLE.NAGIOS 5 "2012-10-02" "0.8" "ANSIBLE MODULES"
." generated from library/nagios
.SH NAME
nagios \- Perform common tasks in Nagios related to downtime and notifications.
." ------ DESCRIPTION
.SH DESCRIPTION
.PP
The \fInagios\fR module has two basic functions: scheduling downtime and toggling alerts for services or hosts. 
.PP
All actions require the \fChost\fR parameter to be given explicitly. In playbooks you can use the \fC$inventory_hostname\fR variable to refer to the host the playbook is currently running on. 
.PP
You can specify multiple services at once by separating them with commas, .e.g., \fCservices=httpd,nfs,puppet\fR. 
.PP
When specifying what service to handle there is a special service value, \fIhost\fR, which will handle alerts/downtime for the \fIhost itself\fR, e.g., \fCservice=host\fR. This keyword may not be given with other services at the same time. \fISetting alerts/downtime for a host does not affect alerts/downtime for any of the services running on it.\fR 
.PP
When using the \fInagios\fR module you will need to specify your nagios server using the \fCdelegate_to\fR parameter. 
." ------ OPTIONS
."
."
.SH OPTIONS

.IP action
Action to take.
.IR Choices :
downtime,enable_alerts,disable_alerts,silence,unsilence.(required)
.IP host
Host to operate on in Nagios.(required)
.IP author
Author to leave downtime comments as. - Only useable with the \fCdowntime\fR action. (default: Ansible)
.IP services
What to manage downtime/alerts for. Separate multiple services with commas.\fCservice\fR is an alias for \fCservices\fR.\fBRequired\fR option when using the \fCdowntime\fR, \fCenable_alerts\fR, and \fCdisable_alerts\fR actions.(required)
.IP minutes
Minutes to schedule downtime for.Only useable with the \fCdowntime\fR action. (default: 30)
.IP cmdfile
Path to the nagios \fIcommand file\fR (FIFO pipe).Only required if auto-detection fails. (default: auto-detected)."
."
." ------ NOTES
."
."
." ------ EXAMPLES
.SH EXAMPLES
.PP
.nf
nagios action=downtime minutes=30 service=httpd host=$inventory_hostname
.fi
.PP
.nf
nagios action=downtime minutes=60 service=host host=$inventory_hostname
.fi
.PP
.nf
nagios action=downtime services=frob,foobar,qeuz host=$inventory_hostname
.fi
.PP
.nf
nagios action=enable_alerts service=smart host=$inventory_hostname
.fi
.PP
.nf
nagios action=disable_alerts service=httpd,nfs host=$inventory_hostname
.fi
.PP
.nf
nagios action=disable_alerts service=host host=$inventory_hostname
.fi
.PP
.nf
nagios action=silence host=$inventory_hostname
.fi
.PP
.nf
nagios action=unsilence host=$inventory_hostname
.fi
." ------- AUTHOR
.SH AUTHOR
Tim Bielawa
.SH SEE ALSO
.IR ansible (1),
.I http://ansible.github.com/modules.html#nagios