.TH ANSIBLE.PAUSE 5 "2012-10-02" "0.8" "ANSIBLE MODULES"
." generated from library/pause
.SH NAME
pause \- Pause playbook execution
." ------ DESCRIPTION
.SH DESCRIPTION
.PP
Pauses playbook execution for a set amount of time, or until a prompt is acknowledged. All parameters are optional. The default behavior is to pause with a prompt. 
.PP
You can use \fCctrl+c\fR if you wish to advance a pause earlier than it is set to expire or if you need to abort a playbook run entirely. To continue early: press \fCctrl+c\fR and then \fCc\fR. To abort a playbook: press \fCctrl+c\fR and then \fCa\fR. 
.PP
The pause module integrates into async/parallelized playbooks without any special considerations (see also: Rolling Updates). When using pauses with the \fCserial\fR playbook parameter (as in rolling updates) you are only prompted once for the current group of hosts. 
." ------ OPTIONS
."
."
.SH OPTIONS

.IP seconds
Number of minutes to pause for.
.IP minutes
Number of minutes to pause for.
.IP prompt
Optional text to use for the prompt message.."
."
." ------ NOTES
."
."
." ------ EXAMPLES
.SH EXAMPLES
.PP
.nf
pause minutes=5
.fi
.PP
.nf
pause
.fi
.PP
.nf
pause prompt=Make sure org.foo.FooOverload exception is not present
.fi
." ------- AUTHOR
.SH AUTHOR
Tim Bielawa
.SH SEE ALSO
.IR ansible (1),
.I http://ansible.github.com/modules.html#pause