.TH ANSIBLE.SERVICE 5 "2012-10-02" "0.8" "ANSIBLE MODULES"
." generated from library/service
.SH NAME
service \- Manage services.
." ------ DESCRIPTION
.SH DESCRIPTION
.PP
Controls services on remote hosts. 
." ------ OPTIONS
."
."
.SH OPTIONS

.IP pattern
If the service does not respond to the status command, name a substring to look for as would be found in the output of the \fIps\fR command as a stand-in for a status result.  If the string is found, the servie will be assumed to be running.(Added in Ansible version 0.7.)

.IP state
\fIstarted\fR, \fIstopped\fR, \fIreloaded\fR, \fIrestarted\fR. \fIStarted\fR/\fIstopped\fR are idempotent actions that will not run commands unless necessary.  \fIrestarted\fR will always bounce the service.  \fIreloaded\fR will always reload.
.IR Choices :
running,started,stopped,restarted,reloaded.
.IP enabled
Whether the service should start on boot.
.IR Choices :
yes,no.
.IP name
Name of the service.(required)."
."
." ------ NOTES
."
."
." ------ EXAMPLES
.SH EXAMPLES
.PP
.nf
service name=httpd state=started
.fi
.PP
.nf
service name=httpd state=stopped
.fi
.PP
.nf
service name=httpd state=restarted
.fi
.PP
.nf
service name=httpd state=reloaded
.fi
.PP
.nf
service name=foo pattern=/usr/bin/foo state=started
.fi
." ------- AUTHOR
.SH AUTHOR
Michael DeHaan
.SH SEE ALSO
.IR ansible (1),
.I http://ansible.github.com/modules.html#service