.TH ANSIBLE.USER 5 "2012-10-02" "0.8" "ANSIBLE MODULES"
." generated from library/user
.SH NAME
user \- Manage user accounts
." ------ DESCRIPTION
.SH DESCRIPTION
.PP
Manage user accounts and user attributes. 
." ------ OPTIONS
."
."
.SH OPTIONS

.IP comment
Optionally sets the description (aka \fIGECOS\fR) of user account.
.IP shell
Optionally set the user's shell.
.IP force
When used with \fIstate=absent\fR, behavior is as with \fIuserdel --force\fR.
.IR Choices :
True,False. (default: no)
.IP name
Name of the user to create, remove or modify.(required)
.IP createhome
Unless set to \fIno\fR, a home directory will be made for the user when the account is created.
.IR Choices :
True,False. (default: yes)
.IP system
When creating an account, setting this to \fIyes\fR makes the user a system account.  This setting cannot be changed on existing users.
.IR Choices :
True,False. (default: no)
.IP remove
When used with \fIstate=absent\fR, behavior is as with \fIuserdel --remove\fR.
.IR Choices :
True,False. (default: no)
.IP state
Whether the account should exist.  When \fIabsent\fR, removes the user account.
.IR Choices :
present,absent. (default: present)
.IP groups
Puts the user in this comma-delimited list of groups.
.IP home
Optionally set the user's home directory.
.IP group
Optionally sets the user's primary group (takes a group name).
.IP password
Optionally set the user's password to this crypted value.  See the user example in the github examples directory for what this looks like in a playbook.
.IP append
If \fIyes\fR, will only add groups, not set them to just the list in \fIgroups\fR.
.IP uid
Optionally sets the \fIUID\fR of the user.."
."
." ------ NOTES
."
."
." ------ EXAMPLES
." ------- AUTHOR
.SH AUTHOR
Stephen Fromm
.SH SEE ALSO
.IR ansible (1),
.I http://ansible.github.com/modules.html#user